Personal tools

Linux Upgrade 5.0.1 to 5.0.2

From OpenEMR Project Wiki

Jump to: navigation, search

Contents

Upgrade

  1. Move current (5.0.1) /openemr directory to a backup directory openemr_bk
  2. Unpackage 5.0.2 openemr into web directory and rename the directory to openemr
  3. Move following directories from old 5.0.1 version to /openemr directory (move in the same order as listed below):
    openemr_bk/sites/default/documents (MOVE TO) => openemr/sites/default/documents
    openemr_bk/sites/default/edi (MOVE TO) => openemr/sites/default/documents/edi
    openemr_bk/sites/default/era (MOVE TO) => openemr/sites/default/documents/era
    openemr_bk/sites/default/letter_templates/custom_pdf.php (MOVE TO) => openemr/sites/default/custom_pdf.php
    openemr_bk/sites/default/letter_templates (MOVE TO) => openemr/sites/default/documents/letter_templates
    openemr_bk/sites/default/procedure_results (MOVE TO) => openemr/sites/default/documents/procedure_results

mv openemr_bk/sites/default/documents openemr/sites/default/

mv openemr_bk/sites/default/edi openemr/sites/default/documents/

mv openemr_bk/sites/default/era openemr/sites/default/documents/

mv openemr_bk/sites/default/letter_templates/custom_pdf.php openemr/sites/default/

mv openemr_bk/sites/default/letter_templates openemr/sites/default/documents/

mv openemr_bk/sites/default/procedure_results openemr/sites/default/documents/

  1. Record the openemr/sites/default/sqlconf.php file variables from your old 5.0.1 version, and type these into the openemr/sites/default/sqlconf.php file in new openemr version
  2. In the openemr/sites/default/sqlconf.php file, set the $config variable (found near bottom of file within bunch of slashes) to 1 ($config = 1;).
  3. Open openemr/sql_upgrade.php (http://localhost/openemr/sql_upgrade.php) in web browser, choose 5.0.1 and click 'Upgrade Database'
  4. Configure optional settings in openemr/sites/default/config.php files


Download and install most recent patch

After finishing this upgrade to OpenEMR version 5.0.2, it is recommended that you check if there are any patches to apply. If so, install the most recent patch for version 5.0.2. Instruction to do this can be found on the OpenEMR Patches page.


Meaningful Use 2 Specific Instructions


Using OpenEMR

See the OpenEMR 5.0.2 User Guide


Securing OpenEMR

See the Securing OpenEMR Guide